## org.eclipse.emf.cdo.common.model
Interface CDOPackageInfo

All Superinterfaces:
  org.eclipse.emf.common.notify.Adapter, java.lang.Comparable<CDOPackageInfo>, org.eclipse.emf.ecore.EPackage.Descriptor

All Known Subinterfaces:
  InternalCDOPackageInfo

    public interface CDOPackageInfo

extends org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.ecore.EPackage.Descriptor, java.lang.Comparable<CDOPackageInfo>

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Method Summary
`org.eclipse.emf.ecore.EPackage` `getEPackage(boolean loadOnDemand)`
`CDOIDMetaRange` `getMetaIDRange()`
`CDOPackageUnit` `getPackageUnit()`
`java.lang.String` `getPackageURI()`
`java.lang.String` `getParentURI()`
`boolean` `isCorePackage()`
`boolean` `isResourcePackage()`
`boolean` `isSystemPackage()`

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Methods inherited from interface org.eclipse.emf.ecore.EPackage.Descriptor
`getEFactory, getEPackage`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPackageUnit

    CDOPackageUnit getPackageUnit()

### getPackageURI

    java.lang.String getPackageURI()

### getParentURI

    java.lang.String getParentURI()

### getMetaIDRange

    CDOIDMetaRange getMetaIDRange()

### getEPackage

    org.eclipse.emf.ecore.EPackage getEPackage(boolean loadOnDemand)

### isCorePackage

    boolean isCorePackage()

### isResourcePackage

    boolean isResourcePackage()

### isSystemPackage

    boolean isSystemPackage()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.